CREATE TABLE fnd_rra_train (
    TRAINING_ID              NUMBER(18, 0) ,
    TRAINING_NAME            VARCHAR2(1020)    NOT NULL,
    TRAINING_DESCRIPTION     VARCHAR2(4000)    NOT NULL,
    TRAINING_TYPE            VARCHAR2(1020)    NOT NULL,
    IMAGE_URL                VARCHAR2(4000)    NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TRAINING_ID              NUMBER(18, 0) ,
    TRAINING_NAME            VARCHAR2(1020)    NOT NULL,
    TRAINING_DESCRIPTION     VARCHAR2(4000)    NOT NULL,
    TRAINING_TYPE            VARCHAR2(1020)    NOT NULL,
    IMAGE_URL                VARCHAR2(4000)    NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fnd_rra_train PRIMARY KEY (TRAINING_ID, TRAINING_ID)
);
